apiVersion: apps/v1
kind: Deployment
metadata:
  name: orders
  namespace: qa
spec:
  replicas: 3
  selector:
    matchLabels:
      app: orders
  template:
    metadata:
      labels:
        app: orders
    spec:
      containers:
      - name: orders
        image: $DOCKERHUB_USERNAME/gitlab_devops_exam:orders
        ports:
        - containerPort: 8000
